DefinitionBlock ("", "SSDT", 2, "HACK", "PCI", 0x00000000)
{
	External (_SB_.PC02.BR2A, DeviceObj)
	Device (_SB.PC02.BR2A)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E PCI Express Root Port A" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@2,0,0" },
			})
		}
	}
	External (_SB_.PC02.M2M0, DeviceObj)
	Device (_SB.PC02.M2M0)
	{
		Name (_ADR, 0x00080000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E Integrated Memory Controller" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@2,8,0" },
			})
		}
	}
	External (_SB_.PC02.MCM0, DeviceObj)
	Device (_SB.PC02.MCM0)
	{
		Name (_ADR, 0x000a0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E Integrated Memory Controller" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@2,10,0" },
			})
		}
	}
	External (_SB_.PC02.M2M1, DeviceObj)
	Device (_SB.PC02.M2M1)
	{
		Name (_ADR, 0x00090000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E Integrated Memory Controller" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@2,9,0" },
			})
		}
	}
	External (_SB_.PC02.MCD0, DeviceObj)
	Device (_SB.PC02.MCD0)
	{
		Name (_ADR, 0x000b0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E DECS Channel 2" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@2,11,0" },
			})
		}
	}
	External (_SB_.PC02.MCM1, DeviceObj)
	Device (_SB.PC02.MCM1)
	{
		Name (_ADR, 0x000c0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E Integrated Memory Controller" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@2,12,0" },
			})
		}
	}
	External (_SB_.PC02.MCD1, DeviceObj)
	Device (_SB.PC02.MCD1)
	{
		Name (_ADR, 0x000d0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E DECS Channel 2" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@2,13,0" },
			})
		}
	}
	External (_SB_.PC03.BR3A, DeviceObj)
	Device (_SB.PC03.BR3A)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E PCI Express Root Port A" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@3,0,0" },
			})
		}
	}
	External (_SB_.PC03.KTI0, DeviceObj)
	Device (_SB.PC03.KTI0)
	{
		Name (_ADR, 0x000e0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E KTI 0" },
				"device_type", Buffer () { "Performance counters" },
				"AAPL,slot-name", Buffer () { "Internal@3,14,0" },
			})
		}
	}
	External (_SB_.PC03.KTI1, DeviceObj)
	Device (_SB.PC03.KTI1)
	{
		Name (_ADR, 0x000f0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E KTI 0" },
				"device_type", Buffer () { "Performance counters" },
				"AAPL,slot-name", Buffer () { "Internal@3,15,0" },
			})
		}
	}
	External (_SB_.PC03.KTI2, DeviceObj)
	Device (_SB.PC03.KTI2)
	{
		Name (_ADR, 0x00100000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E KTI 0" },
				"device_type", Buffer () { "Performance counters" },
				"AAPL,slot-name", Buffer () { "Internal@3,16,0" },
			})
		}
	}
	External (_SB_.PC03.M3K0, DeviceObj)
	Device (_SB.PC03.M3K0)
	{
		Name (_ADR, 0x00120000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E M3KTI Registers" },
				"device_type", Buffer () { "Performance counters" },
				"AAPL,slot-name", Buffer () { "Internal@3,18,0" },
			})
		}
	}
	External (_SB_.PC03.M2U0, DeviceObj)
	Device (_SB.PC03.M2U0)
	{
		Name (_ADR, 0x00150000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E M2PCI Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@3,21,0" },
			})
		}
	}
	External (_SB_.PC03.M2D0, DeviceObj)
	Device (_SB.PC03.M2D0)
	{
		Name (_ADR, 0x00160000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E M2PCI Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@3,22,0" },
			})
		}
	}
	External (_SB_.PC03.M2N0, DeviceObj)
	Device (_SB.PC03.M2N0)
	{
		Name (_ADR, 0x00170000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E M2PCI Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@3,23,0" },
			})
		}
	}
	External (_SB_.PC02.BR2A.D035, DeviceObj)
	Device (_SB.PC02.BR2A.D035)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Navi 10 XL Upstream Port of PCI Express Switch" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@2,0,0/0,0" },
			})
		}
	}
	External (_SB_.PC00.DMI0, DeviceObj)
	Device (_SB.PC00.DMI0)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E DMI3 Registers" },
				"device_type", Buffer () { "Host bridge" },
				"AAPL,slot-name", Buffer () { "Internal@0,0,0" },
			})
		}
	}
	External (_SB_.PC00.CB0A, DeviceObj)
	Device (_SB.PC00.CB0A)
	{
		Name (_ADR, 0x00040000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,0" },
			})
		}
	}
	External (_SB_.PC00.CB0B, DeviceObj)
	Device (_SB.PC00.CB0B)
	{
		Name (_ADR, 0x00040001)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,1" },
			})
		}
	}
	External (_SB_.PC00.CB0C, DeviceObj)
	Device (_SB.PC00.CB0C)
	{
		Name (_ADR, 0x00040002)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,2" },
			})
		}
	}
	External (_SB_.PC00.CB0D, DeviceObj)
	Device (_SB.PC00.CB0D)
	{
		Name (_ADR, 0x00040003)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,3" },
			})
		}
	}
	External (_SB_.PC00.CB0E, DeviceObj)
	Device (_SB.PC00.CB0E)
	{
		Name (_ADR, 0x00040004)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,4" },
			})
		}
	}
	External (_SB_.PC00.CB0F, DeviceObj)
	Device (_SB.PC00.CB0F)
	{
		Name (_ADR, 0x00040005)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,5" },
			})
		}
	}
	External (_SB_.PC00.CB0G, DeviceObj)
	Device (_SB.PC00.CB0G)
	{
		Name (_ADR, 0x00040006)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,6" },
			})
		}
	}
	External (_SB_.PC00.CB0H, DeviceObj)
	Device (_SB.PC00.CB0H)
	{
		Name (_ADR, 0x00040007)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CBDMA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,4,7" },
			})
		}
	}
	External (_SB_.PC00.UBX0, DeviceObj)
	Device (_SB.PC00.UBX0)
	{
		Name (_ADR, 0x00080000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E Ubox Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@0,8,0" },
			})
		}
	}
	External (_SB_.PC00.MRO0, DeviceObj)
	Device (_SB.PC00.MRO0)
	{
		Name (_ADR, 0x00110000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family MROM 0" },
				"device_type", Buffer () { "Unassigned class" },
				"AAPL,slot-name", Buffer () { "Internal@0,17,0" },
			})
		}
	}
	External (_SB_.PC00.MRO1, DeviceObj)
	Device (_SB.PC00.MRO1)
	{
		Name (_ADR, 0x00110001)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family MROM 1" },
				"device_type", Buffer () { "Unassigned class" },
				"AAPL,slot-name", Buffer () { "Internal@0,17,1" },
			})
		}
	}
	External (_SB_.PC00.XHCI, DeviceObj)
	Device (_SB.PC00.XHCI)
	{
		Name (_ADR, 0x00140000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family USB 3.0 xHCI Controller" },
				"device_type", Buffer () { "USB controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,20,0" },
			})
		}
	}
	External (_SB_.PC00.HEC1, DeviceObj)
	Device (_SB.PC00.HEC1)
	{
		Name (_ADR, 0x00160000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family MEI Controller #1" },
				"device_type", Buffer () { "Communication controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,22,0" },
			})
		}
	}
	External (_SB_.PC00.IDER, DeviceObj)
	Device (_SB.PC00.IDER)
	{
		Name (_ADR, 0x00160002)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family IDE Redirection" },
				"device_type", Buffer () { "IDE interface" },
				"AAPL,slot-name", Buffer () { "Internal@0,22,2" },
			})
		}
	}
	External (_SB_.PC00.MEKT, DeviceObj)
	Device (_SB.PC00.MEKT)
	{
		Name (_ADR, 0x00160003)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family KT Redirection" },
				"device_type", Buffer () { "Serial controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,22,3" },
			})
		}
	}
	External (_SB_.PC00.SAT1, DeviceObj)
	Device (_SB.PC00.SAT1)
	{
		Name (_ADR, 0x00170000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family SATA Controller [AHCI mode]" },
				"device_type", Buffer () { "SATA controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,23,0" },
			})
		}
	}
	External (_SB_.PC00.RP01, DeviceObj)
	Device (_SB.PC00.RP01)
	{
		Name (_ADR, 0x001c0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family PCI Express Root Port #1" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@0,28,0" },
			})
		}
	}
	External (_SB_.PC00.RP09, DeviceObj)
	Device (_SB.PC00.RP09)
	{
		Name (_ADR, 0x001d0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family PCI Express Root Port #9" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@0,29,0" },
			})
		}
	}
	External (_SB_.PC00.RP05, DeviceObj)
	Device (_SB.PC00.RP05)
	{
		Name (_ADR, 0x001c0004)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family PCI Express Root Port #5" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@0,28,4" },
			})
		}
	}
	External (_SB_.PC00.LPC0, DeviceObj)
	Device (_SB.PC00.LPC0)
	{
		Name (_ADR, 0x001f0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C621 Series Chipset LPC/eSPI Controller" },
				"device_type", Buffer () { "ISA bridge" },
				"AAPL,slot-name", Buffer () { "Internal@0,31,0" },
			})
		}
	}
	External (_SB_.PC00.PMC1, DeviceObj)
	Device (_SB.PC00.PMC1)
	{
		Name (_ADR, 0x001f0002)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family Power Management Controller" },
				"device_type", Buffer () { "Memory controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,31,2" },
			})
		}
	}
	External (_SB_.PC00.SMBS, DeviceObj)
	Device (_SB.PC00.SMBS)
	{
		Name (_ADR, 0x001f0004)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family SMBus" },
				"device_type", Buffer () { "SMBus" },
				"AAPL,slot-name", Buffer () { "Internal@0,31,4" },
			})
		}
	}
	External (_SB_.PC00.SPIC, DeviceObj)
	Device (_SB.PC00.SPIC)
	{
		Name (_ADR, 0x001f0005)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "C620 Series Chipset Family SPI Controller" },
				"device_type", Buffer () { "Serial bus controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,31,5" },
			})
		}
	}
	External (_SB_.PC01.CHA0, DeviceObj)
	Device (_SB.PC01.CHA0)
	{
		Name (_ADR, 0x00080000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,8,0" },
			})
		}
	}
	External (_SB_.PC01.CHA1, DeviceObj)
	Device (_SB.PC01.CHA1)
	{
		Name (_ADR, 0x00090000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,9,0" },
			})
		}
	}
	External (_SB_.PC01.CHA2, DeviceObj)
	Device (_SB.PC01.CHA2)
	{
		Name (_ADR, 0x000a0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,10,0" },
			})
		}
	}
	External (_SB_.PC01.CHA3, DeviceObj)
	Device (_SB.PC01.CHA3)
	{
		Name (_ADR, 0x000b0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,11,0" },
			})
		}
	}
	External (_SB_.PC01.CHA4, DeviceObj)
	Device (_SB.PC01.CHA4)
	{
		Name (_ADR, 0x000e0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,14,0" },
			})
		}
	}
	External (_SB_.PC01.CHA5, DeviceObj)
	Device (_SB.PC01.CHA5)
	{
		Name (_ADR, 0x000f0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,15,0" },
			})
		}
	}
	External (_SB_.PC01.CHA6, DeviceObj)
	Device (_SB.PC01.CHA6)
	{
		Name (_ADR, 0x00100000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,16,0" },
			})
		}
	}
	External (_SB_.PC01.CHA7, DeviceObj)
	Device (_SB.PC01.CHA7)
	{
		Name (_ADR, 0x00110000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,17,0" },
			})
		}
	}
	External (_SB_.PC01.CDL0, DeviceObj)
	Device (_SB.PC01.CDL0)
	{
		Name (_ADR, 0x001d0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E CHA Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,29,0" },
			})
		}
	}
	External (_SB_.PC01.PCU0, DeviceObj)
	Device (_SB.PC01.PCU0)
	{
		Name (_ADR, 0x001e0000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Sky Lake-E PCU Registers" },
				"device_type", Buffer () { "System peripheral" },
				"AAPL,slot-name", Buffer () { "Internal@1,30,0" },
			})
		}
	}
	External (_SB_.PC00.RP05.D02F, DeviceObj)
	Device (_SB.PC00.RP05.D02F)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "ASM2142 USB 3.1 Host Controller" },
				"device_type", Buffer () { "USB controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,28,4/0,0" },
			})
		}
	}
	External (_SB_.PC03.BR3A.D037, DeviceObj)
	Device (_SB.PC03.BR3A.D037)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Ethernet Controller 10-Gigabit X540-AT2" },
				"device_type", Buffer () { "Ethernet controller" },
				"AAPL,slot-name", Buffer () { "Internal@3,0,0/0,0" },
			})
		}
	}
	External (_SB_.PC03.BR3A.D037, DeviceObj)
	Device (_SB.PC03.BR3A.D037)
	{
		Name (_ADR, 0x00000001)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "Ethernet Controller 10-Gigabit X540-AT2" },
				"device_type", Buffer () { "Ethernet controller" },
				"AAPL,slot-name", Buffer () { "Internal@3,0,0/0,1" },
			})
		}
	}
	External (_SB_.PC04.MCP0, DeviceObj)
	Device (_SB.PC04.MCP0)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "???" },
				"device_type", Buffer () { "PCI bridge" },
				"AAPL,slot-name", Buffer () { "Internal@4,0,0" },
			})
		}
	}
	External (_SB_.PC00.RP09.PXSX, DeviceObj)
	Device (_SB.PC00.RP09.PXSX)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "BCM4360 802.11ac Wireless Network Adapter" },
				"device_type", Buffer () { "Network controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,29,0/0,0" },
			})
		}
	}
	External (_SB_.PC00.RP01.D02A, DeviceObj)
	Device (_SB.PC00.RP01.D02A)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "ASM2142 USB 3.1 Host Controller" },
				"device_type", Buffer () { "USB controller" },
				"AAPL,slot-name", Buffer () { "Internal@0,28,0/0,0" },
			})
		}
	}
	External (_SB_.PC04.MCP0.D039, DeviceObj)
	Device (_SB.PC04.MCP0.D039)
	{
		Name (_ADR, 0x00000000)
		Method (_DSM, 4, NotSerialized)
		{
			If (LEqual (Arg2, Zero)) { Return (Buffer() { 0x03 } ) }
			Return (Package ()
			{
				"model", Buffer () { "WD Black 2018/SN750 / PC SN720 NVMe SSD" },
				"device_type", Buffer () { "Non-Volatile memory controller" },
				"AAPL,slot-name", Buffer () { "Internal@4,0,0/0,0" },
			})
		}
	}
}
